package de.ugoe.cs.quest.eventcore.guimodel;

/**
 * <p>
 * TODO comment
 * </p>
 * 
 * @version $Revision: $ $Date: 17.08.2012$
 * @author 2012, last modified by $Author: pharms$
 */
public interface IGUIElementSpec {

    /**
     * <p>
     * TODO: comment
     * </p>
     *
     * @return
     */
    public String getType();
    
    /**
     * <p>
     * TODO: comment
     * </p>
     *
     * @param other
     * @return
     */
    public boolean getSimilarity(IGUIElementSpec other);

    /**
     * <p>
     * TODO: comment
     * </p>
     *
     * @param other
     * @return
     */
    public boolean equals(IGUIElementSpec other);
    
    /**
     * <p>
     * TODO: comment
     * </p>
     *
     * @return
     */
    public int hashCode();
}
